package com.diagbot.dto;

import lombok.Data;

import java.util.List;

/**
 * @description: 开单合理性图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class BillNeoDTO {

    // 开单项目名称
    private String name;

    // 开单标准名称
    private String standname;

    // 化验开单合理性项目
    private LisBillNeoDTO lisBillNeoDTO;

    // 辅检开单合理性项目
    private PacsBillNeoDTO pacsBillNeoDTO;

    // 药品开单合理性项目
    private DrugBillNeoDTO drugBillNeoDTO;

    // 手术和操作开单合理性项目
    private OperationBillNeoDTO operationBillNeoDTO;
}
