package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description: 推理出参
 * @author: gaodm
 * @time: 2020/8/6 9:54
 */
@Getter
@Setter
public class PushDTO {
    //症状
    private List<PushBaseDTO> symptom = new ArrayList<>();
    //体格检查
    private List<PushBaseDTO> vital = new ArrayList<>();
    //检验
    private List<PushBaseDTO> lis = new ArrayList<>();
    //检查
    private List<PushBaseDTO> pacs = new ArrayList<>();
    // 手术
    private List<PushBaseDTO> operations = new ArrayList<>();
    // 药品
    private List<PushBaseDTO> medicines = new ArrayList<>();
    // 并发症
    private List<PushBaseDTO> complications = new ArrayList<>();
    //诊断
    private Map<String, List<PushBaseDTO>> dis;
    //一般治疗
    private List<TreatDTO> generaTreat = new ArrayList<>();
}
