package com.diagbot.entity.node;

import lombok.Data;
import com.diagbot.entity.node.base.BaseNode;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.Labels;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.io.Serializable;
import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "配伍")
public class ConflictMed extends BaseNode  {

    @Relationship(type="药品通用名禁忌配伍", direction = Relationship.INCOMING)
    private Set<Medicine> medicines;
}
