package com.diagbot.repository;

import com.diagbot.entity.node.LISPack;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisPackRepository extends Neo4jRepository<LISPack, Long> {

    List<LISPack> findByNameIs(String name);

    List<LISPack> findByNameLike(String name);

    @Query("MATCH (n:实验室检查套餐) RETURN DISTINCT(KEYS(n))")
    List<List<String>> getKeys();
}

