package com.diagbot.repository;

import com.diagbot.entity.node.LIS;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisRepository extends Neo4jRepository<LIS, Long> {

    List<LIS> findByNameIs(String name);

    List<LIS> findByNameLike(String name);
}

