package com.diagbot.repository;

import com.diagbot.entity.node.Operation;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface OperationRepository extends Neo4jRepository<Operation, Long> {

    List<Operation> findByNameIs(String name);

    List<Operation> findByNameLike(String name);
}

