package com.diagbot.repository;

import com.diagbot.entity.node.PACS;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface PacsRepository extends Neo4jRepository<PACS, Long> {

    List<PACS> findByNameIs(String name);

    List<PACS> findByNameLike(String name);
}

