package com.diagbot.dto;

import lombok.Data;

/**
 * @description: 高危图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class HighRiskNeoDTO {

    // 高危项目名称
    private String name;

    // 高危标准名称
    private String standname;

    // 是否高危 - True:是，False:否
    private Boolean isHighrisk;

    // 类型，“药品”，“手术”
    private String type;

}
