package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 提示信息出参
 * @author: zhoutg
 * @time: 2020/7/29 9:57
 */
@Data
public class IndicationDTO {
    // 危机值提醒
    private List<BillMsg> criticalValList = new ArrayList<>();
    // 开单合理性提示信息
    private List<BillMsg> billMsgList = new ArrayList<>();
    // 高危药品、手术
    private List<BillMsg> highRiskList = new ArrayList<>();
    // 特殊指标提醒
    private List<BillMsg> specialList = new ArrayList<>();
    // 记录调试信息
    private Map<String, Object> debug = new LinkedHashMap<>();
}
