package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "分型")
public class DiseaseType extends BaseNode  {

    @Relationship(type="疾病相关分型", direction = Relationship.INCOMING)
    private Set<Disease> diseases;
}
