package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "药品名及编码")
public class Medicine_Code extends BaseNode  {

    @Relationship(type="药品相关化学物质类别", direction = Relationship.OUTGOING)
    private Set<OralMedicine> medicine_related_chem;

    @Relationship(type="疾病相关药品名及编码", direction = Relationship.INCOMING)
    private Set<Disease> disease_related_medicode;

}
