package com.diagbot.repository;

import com.diagbot.dto.BillNeoDTO;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.LisBillNeoDTO;
import com.diagbot.dto.NodeNeoDTO;
import com.diagbot.entity.node.*;
import com.diagbot.util.NeoUtil;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class DeptNode {

	/**
	 * 获取科室名称列表
	 */
	public List<String> getDeptNameList(String name, DeptRepository deptRepository) {
		String nodename;

		List<String> deptlist = new ArrayList<>();

		List<Dept> depts = deptRepository.findByNameLike("*"+name+"*");

		for (Dept dept : depts) {
			nodename = dept.getName();
			if (!deptlist.contains(nodename)) {
				deptlist.add(nodename);
			}
		}


		return deptlist;
	}

}

