package com.diagbot.repository;

import com.diagbot.entity.node.Dept;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface DeptRepository extends Neo4jRepository<Dept, Long> {

    Dept findByNameIs(String name);

    List<Dept> findByNameLike(String name);
}

