package com.diagbot.repository;

import com.diagbot.entity.node.ICDDisease;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface ICDDiseaseRepository extends Neo4jRepository<ICDDisease, Long> {

    List<ICDDisease> findByNameLike(String name);

    List<ICDDisease> findByNameIs(String name);
}

