package com.diagbot.util;

import com.diagbot.dto.NodeNeoDTO;
import com.diagbot.dto.PushBaseDTO;

import java.math.BigDecimal;

public class NeoUtil {

    public static NodeNeoDTO updateNodeInfo(String name, BigDecimal min, BigDecimal max, String unit) {
        NodeNeoDTO nodeNeoDTO = new NodeNeoDTO();

        name = (null==name)?"":name;
        nodeNeoDTO.setName(name);

        if (null!=min) {
            nodeNeoDTO.setMin(min);
        }

        if (null!=max) {
            nodeNeoDTO.setMax(max);
        }

        unit = (null==unit)?"":unit;
        nodeNeoDTO.setUnit(unit);

        return nodeNeoDTO;
    }

    public static PushBaseDTO updatePushInfo(String name) {
        PushBaseDTO pushBaseDTO = new PushBaseDTO();

        name = (null==name)?"":name;
        pushBaseDTO.setName(name);

        return pushBaseDTO;
    }

    public static BigDecimal DoubletoBigDecimal(Double val) {
        BigDecimal bd = null;
        if (null!=val) {
            bd = new BigDecimal(val.toString());
        }

        return bd;
    }
}
